Bug 132213 - [patch] mail/imap-uw: Add support for ~/mail as default mailbox directory
Summary: [patch] mail/imap-uw: Add support for ~/mail as default mailbox directory
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Anders Nordby
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-01 04:30 UTC by Jarrod Sayers
Modified: 2011-08-22 00:01 UTC (History)
0 users

See Also:


Attachments
mail-cclient-mailsubdir.diff (2.25 KB, patch)
2009-03-01 04:30 UTC, Jarrod Sayers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jarrod Sayers 2009-03-01 04:30:00 UTC
By default, mail/imap-uw will grant authenticated users access to their entire
home directory via the IMAP protocol.  In some situations, usually for security
reasons, this isn't a desired feature as additional directories and dot files
appear when users attempt to subscribe to additional mailboxes.

This optional patch, forces the IMAP root to be ~/mail for authenticated users
which is also the default path used for some MUA's such as mail/alpine and removes
the need for some users to configure a default prefix in either their GUI or console
based MUA.

Modified files:
- ports/mail/cclient/Makefile
- ports/mail/imap-uw/Makefile

Fix: Downloadable diff from :
http://www.netleader.com.au/~jarrod/FreeBSD/mail-cclient-mailsubdir.diff
Comment 1 Edwin Groothuis freebsd_committer 2009-03-01 04:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Anders Nordby freebsd_committer 2009-07-09 21:35:52 UTC
Hi,

Sorry for the late reply. You can set this in /etc/c-client.cf actually,
or in ~/.imaprc if you set allow-user-config in c-client.cf.

I think we should:

- change the location of c-client.cf and make this file more obvious.

- test whether it actually works. And then remove all options that can
be set runtime in the config file.

Agreed?

Cheers,

-- 
Anders.
Comment 3 dfilter service freebsd_committer 2011-08-22 00:00:03 UTC
anders      2011-08-21 22:59:53 UTC

  FreeBSD ports repository

  Modified files:
    mail/imap-uw/files   pkg-message.in 
  Log:
  Be more specific about changing mail-subdirectory.
  
  PR:             132213
  
  Revision  Changes    Path
  1.3       +4 -1      ports/mail/imap-uw/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Anders Nordby freebsd_committer 2011-08-22 00:00:32 UTC
State Changed
From-To: open->closed

Not necessary with patch to set mailbox directory. I mentioned how to 
set it in the install message. Thanks for submitting.